Debian Bug report logs - #635192
glibc-bsd: please provide O_CLOEXEC

version graph

Package: libc0.1-dev; Maintainer for libc0.1-dev is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc0.1-dev is src:eglibc.

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Sat, 23 Jul 2011 15:51:01 UTC

Severity: wishlist

Found in version eglibc/2.13-10

Fixed in version eglibc/2.17-4

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635192; Package libc0.1-dev. (Sat, 23 Jul 2011 15:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 23 Jul 2011 15:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: glibc-bsd: please provide O_CLOEXEC
Date: Sat, 23 Jul 2011 10:49:03 -0500
Package: libc0.1-dev
Version: 2.13-10
Severity: wishlist

Hi,

FreeBSD gained an implementation for O_CLOEXEC in r219999 (Add
O_CLOEXEC flag to open(2) and fhopen(2), 2011-03-25), which made its
way to the freebsd 8 branch in r220241 (MFC r219999, 2011-04-01).
Here's a minimal patch (untested) to expose it along with some other
constants from sys/fcntl.h.

I'd prefer to find a way to make use of the sys/fcntl.h header
directly to avoid having to chase changes like this, but the
infrastructure doesn't seem to be available for that.

No O_SEARCH yet, since kFreeBSD doesn't seem to implement it.

2011-07-23  Jonathan Nieder  <jrnieder@gmail.com>

	* bits/fcntl.h: Define O_EXEC, O_TTY_INIT, O_CLOEXEC, and O_DIRECTORY,
	guarded by __USE_XOPEN2K8.  Values are from sys/sys/fcntl.h of FreeBSD
	9-current.
	* bits/fcntl.h: Do not require __USE_GNU as a condition for defining
	O_NOFOLLOW.  Make the condition __USE_XOPEN2K8 instead since the flag
	is defined in that standard.

diff --git i/bits/fcntl.h w/bits/fcntl.h
index 7641626a..8669c9ae 100644
--- i/bits/fcntl.h
+++ w/bits/fcntl.h
@@ -47,9 +47,7 @@
 
 #ifdef __USE_GNU
 # define O_DIRECT	0200000	/* Direct disk access.	*/
-enum { O_DIRECTORY = 0 };	/* Must be a directory.	 */
 enum { O_NOATIME = 0};          /* Do not set atime.  */
-# define O_NOFOLLOW	   0400	/* Do not follow links.	 */
 #endif
 
 #ifdef __USE_BSD
@@ -65,6 +63,14 @@ enum { O_NOATIME = 0};          /* Do not set atime.  */
 # define O_RSYNC	O_SYNC	/* Synchronize read operations.	 */
 #endif
 
+#ifdef __USE_XOPEN2K8
+# define O_EXEC		01000000 /* Open without read or write access.  */
+# define O_TTY_INIT	02000000
+# define O_CLOEXEC	04000000
+# define O_DIRECTORY	0400000	/* Must be a directory.	 */
+# define O_NOFOLLOW	   0400	/* Do not follow links.	 */
+#endif
+
 /* Since 'off_t' is 64-bit, O_LARGEFILE is a no-op.  */
 #define O_LARGEFILE	0
 




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635192; Package libc0.1-dev. (Sat, 13 Aug 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 13 Aug 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 635192@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Jonathan Nieder <jrnieder@gmail.com>, 635192@bugs.debian.org
Subject: Re: Bug#635192: glibc-bsd: please provide O_CLOEXEC
Date: Sat, 13 Aug 2011 22:48:23 +0200
On Sat, Jul 23, 2011 at 10:49:03AM -0500, Jonathan Nieder wrote:
> Package: libc0.1-dev
> Version: 2.13-10
> Severity: wishlist
> 
> Hi,
> 
> FreeBSD gained an implementation for O_CLOEXEC in r219999 (Add
> O_CLOEXEC flag to open(2) and fhopen(2), 2011-03-25), which made its
> way to the freebsd 8 branch in r220241 (MFC r219999, 2011-04-01).
> Here's a minimal patch (untested) to expose it along with some other
> constants from sys/fcntl.h.
> 
> I'd prefer to find a way to make use of the sys/fcntl.h header
> directly to avoid having to chase changes like this, but the
> infrastructure doesn't seem to be available for that.
> 
> No O_SEARCH yet, since kFreeBSD doesn't seem to implement it.
> 
> 2011-07-23  Jonathan Nieder  <jrnieder@gmail.com>
> 
> 	* bits/fcntl.h: Define O_EXEC, O_TTY_INIT, O_CLOEXEC, and O_DIRECTORY,
> 	guarded by __USE_XOPEN2K8.  Values are from sys/sys/fcntl.h of FreeBSD
> 	9-current.
> 	* bits/fcntl.h: Do not require __USE_GNU as a condition for defining
> 	O_NOFOLLOW.  Make the condition __USE_XOPEN2K8 instead since the flag
> 	is defined in that standard.
> 
> diff --git i/bits/fcntl.h w/bits/fcntl.h
> index 7641626a..8669c9ae 100644
> --- i/bits/fcntl.h
> +++ w/bits/fcntl.h
> @@ -47,9 +47,7 @@
>  
>  #ifdef __USE_GNU
>  # define O_DIRECT	0200000	/* Direct disk access.	*/
> -enum { O_DIRECTORY = 0 };	/* Must be a directory.	 */
>  enum { O_NOATIME = 0};          /* Do not set atime.  */
> -# define O_NOFOLLOW	   0400	/* Do not follow links.	 */
>  #endif
>  
>  #ifdef __USE_BSD
> @@ -65,6 +63,14 @@ enum { O_NOATIME = 0};          /* Do not set atime.  */
>  # define O_RSYNC	O_SYNC	/* Synchronize read operations.	 */
>  #endif
>  
> +#ifdef __USE_XOPEN2K8
> +# define O_EXEC		01000000 /* Open without read or write access.  */
> +# define O_TTY_INIT	02000000
> +# define O_CLOEXEC	04000000
> +# define O_DIRECTORY	0400000	/* Must be a directory.	 */
> +# define O_NOFOLLOW	   0400	/* Do not follow links.	 */
> +#endif
> +
>  /* Since 'off_t' is 64-bit, O_LARGEFILE is a no-op.  */
>  #define O_LARGEFILE	0
>  

I don't think we want such a patch right now, unless we also provide
modify the open function to call fcntl() with FD_CLOEXEC as a fallback.
Otherwise code is going to start using O_CLOEXEC, and leak file
descriptors on old kernel (with old being the kernel we ship). The
fallback is not racy, but should catch most of the cases.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Added indication that bug 635192 blocks 679198 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Fri, 29 Jun 2012 12:43:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635192; Package libc0.1-dev. (Fri, 29 Jun 2012 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 29 Jun 2012 19:48:03 GMT) Full text and rfc822 format available.

Message #17 received at 635192@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 679198@bugs.debian.org, debian-bsd@lists.debian.org, doko@debian.org, 635192@bugs.debian.org
Subject: Re: Processed: Bug#679198: bash: [on native FreeBSD] unable to set FD_CLOEXEC flag
Date: Fri, 29 Jun 2012 21:44:30 +0200
2012/6/29 Steven Chamberlain <steven@pyro.eu.org>:
> #679198 is this bug.  Did you mean #635192?

Yes, sorry.

> In /usr/include/i386-kfreebsd-gnu/bits/fcntl.h :
>
>> #if _POSIX_C_SOURCE >= 200809L
>> #define O_TTY_INIT      0x00080000      /* Restore default termios attributes */
>> /* Defining O_CLOEXEC would break kfreebsd 8.1, see #635192 */
>> /* #define O_CLOEXEC    0x00100000 */
>> #endif
>
> So it is undefined on purpose?

Correct.  Although leaving it undefined might be worse than defining
it.  E.g. consider programs doing:

/* use O_CLOEXEC if possible */
#ifndef O_CLOEXEC
#define O_CLOEXEC 0
#endif

fd = open (..., O_CLOEXEC);
// don't bother closing fd

But the decision is up to glibc maintainers.

-- 
Robert Millan




Removed indication that bug 635192 blocks 679198 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 30 Jul 2012 17:18:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635192; Package libc0.1-dev. (Mon, 13 May 2013 07:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Mon, 13 May 2013 07:45:04 GMT) Full text and rfc822 format available.

Message #24 received at 635192@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 635192@bugs.debian.org
Subject: provide O_CLOEXEC on kfreebsd-*
Date: Mon, 13 May 2013 09:43:48 +0200 (CEST)
Hi.

Both wheezy kernels (8.3 and 9.0) do support O_CLOEXEC.
Together with enabling O_CLOEXEC we have to
at least raise minimal kernel version to 8.3 in

  debian/debhelper.in/libc.preinst
  debian/sysdeps/kfreebsd.mk

We have to wait before buildd receives new kernel,
as current (squeezy one) does not suffice.

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635192; Package libc0.1-dev. (Fri, 31 May 2013 12:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 31 May 2013 12:09:04 GMT) Full text and rfc822 format available.

Message #29 received at 635192@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 635192@bugs.debian.org
Subject: Re: Bug#635192: provide O_CLOEXEC on kfreebsd-*
Date: Fri, 31 May 2013 14:04:06 +0200
On Mon, May 13, 2013 at 09:43:48 +0200, Petr Salinger wrote:

> Hi.
> 
> Both wheezy kernels (8.3 and 9.0) do support O_CLOEXEC.
> Together with enabling O_CLOEXEC we have to
> at least raise minimal kernel version to 8.3 in
> 
>   debian/debhelper.in/libc.preinst
>   debian/sysdeps/kfreebsd.mk
> 
> We have to wait before buildd receives new kernel,
> as current (squeezy one) does not suffice.
> 
I don't understand why this is taking so long.  O_CLOEXEC was defined on
Linux long before all supported kernels had it, and people (used to?)
have fallback code for the case where open(O_CLOEXEC) returned EINVAL,
to do the racy fcntl dance.  I don't see why the kernel running on
buildds matters one bit for whether userland gets the define...

Cheers,
Julien



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635192; Package libc0.1-dev. (Fri, 31 May 2013 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 31 May 2013 12:45:04 GMT) Full text and rfc822 format available.

Message #34 received at 635192@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Julien Cristau <jcristau@debian.org>, 635192@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#635192: provide O_CLOEXEC on kfreebsd-*
Date: Fri, 31 May 2013 14:42:22 +0200
On Fri, May 31, 2013 at 02:04:06PM +0200, Julien Cristau wrote:
> On Mon, May 13, 2013 at 09:43:48 +0200, Petr Salinger wrote:
> 
> > Hi.
> > 
> > Both wheezy kernels (8.3 and 9.0) do support O_CLOEXEC.
> > Together with enabling O_CLOEXEC we have to
> > at least raise minimal kernel version to 8.3 in
> > 
> >   debian/debhelper.in/libc.preinst
> >   debian/sysdeps/kfreebsd.mk
> > 
> > We have to wait before buildd receives new kernel,
> > as current (squeezy one) does not suffice.
> > 
> I don't understand why this is taking so long.  O_CLOEXEC was defined on
> Linux long before all supported kernels had it, and people (used to?)
> have fallback code for the case where open(O_CLOEXEC) returned EINVAL,

That's exactly the point, most of the fallback code has been removed.

> to do the racy fcntl dance.  I don't see why the kernel running on
> buildds matters one bit for whether userland gets the define...
> 

Anyway this has just been done, so it's now just a matter of days.

-- 
Aurelien Jarno	                        GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net



Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635192; Package libc0.1-dev. (Fri, 31 May 2013 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 31 May 2013 12:51:04 GMT) Full text and rfc822 format available.

Message #39 received at 635192@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Julien Cristau <jcristau@debian.org>
Cc: 635192@bugs.debian.org
Subject: Re: Bug#635192: provide O_CLOEXEC on kfreebsd-*
Date: Fri, 31 May 2013 14:47:20 +0200 (CEST)
> I don't understand why this is taking so long.  O_CLOEXEC was defined on
> Linux long before all supported kernels had it, and people (used to?)
> have fallback code for the case where open(O_CLOEXEC) returned EINVAL,
> to do the racy fcntl dance.  I don't see why the kernel running on
> buildds matters one bit for whether userland gets the define...

May be they "used to", but currently even eglibc itself does not have such 
fallback inside. Even inside elf loader, i.e. elf/dl-misc.c:

  int flags = O_RDONLY;
#ifdef O_CLOEXEC
  flags |= O_CLOEXEC;
#endif

The open with unknown flags fails and elf loader
does not try it again without O_CLOEXEC.

As we really want to run testsuite,
the kernel have to support O_CLOEXEC at least for open().

Petr



Added tag(s) pending. Request was from Petr Salinger <ps-guest@alioth.debian.org> to control@bugs.debian.org. (Fri, 31 May 2013 15:42:07 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sun, 02 Jun 2013 12:06:05 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Sun, 02 Jun 2013 12:06:05 GMT) Full text and rfc822 format available.

Message #46 received at 635192-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 635192-close@bugs.debian.org
Subject: Bug#635192: fixed in eglibc 2.17-4
Date: Sun, 02 Jun 2013 12:04:30 +0000
Source: eglibc
Source-Version: 2.17-4

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635192@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 01 Jun 2013 22:03:20 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc6-armhf libc6-dev-armhf libc6-armel libc6-dev-armel libc0.1-i386 libc0.1-dev-i386 libc6-x32 libc6-dev-x32 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all kfreebsd-amd64
Version: 2.17-4
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-armel - Embedded GNU C Library: ARM softfp shared libraries for armhf
 libc6-armhf - Embedded GNU C Library: ARM hard float shared libraries for armel
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-armel - Embedded GNU C Library: ARM softfp development libraries for armh
 libc6-dev-armhf - Embedded GNU C Library: ARM hard float development libraries for
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-dev-x32 - Embedded GNU C Library: X32 ABI Development Libraries for AMD64
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-x32  - Embedded GNU C Library: X32 ABI Shared libraries for AMD64
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 635192 667448 693895 707919 708504 708741
Changes: 
 eglibc (2.17-4) unstable; urgency=low
 .
   [ Adam Conrad ]
   * Drop versioned build-dependencies on tar, make, and sed, as they're
     all {Build-,}Essential and available in oldstable (Closes: #708504)
 .
   [ Petr Salinger ]
   * kfreebsd/local-sysdeps.diff: update to revision 4511 (from glibc-bsd).
     Closes: #635192. Closes: #667448.
   * debian/sysdeps/kfreebsd.mk, debian/debhelper.in/libc.preinst:
     bump minimal FreeBSD kernel version to 8.3.
 .
   [ Aurelien Jarno ]
   * Remove any/local-o_cloexec.diff, kfreebsd/local-freopen.diff and
     any/unsubmitted-cloexec-conditional.diff (not needed anymore).
   * debhelper.in/libc-bin.postinst: remove duplicate trigger message.
     Closes: #707919.
   * Update Hungarian debconf translation, by Nagy Elemér Károly.
   * Add powerpcspe/unsubmitted-nearbyint.diff to fix FTBFS on powerpcspe
     (Closes: #708741).
   * Update testsuite-checking/expected-results-powerpc-linux-gnuspe-libc
     (Closes: #693895).
   * rules.d/build.mk: use rdfind + symlinks instead of fdupes + handcoded
     shell script to optimize disk space.
Checksums-Sha1: 
 c621abb46c8cdb387a31a2c235532ac69ebe3825 5158 eglibc_2.17-4.dsc
 8993a30a5a1f988b3c38d85360efd94e1bbb1d3c 777740 eglibc_2.17-4.debian.tar.xz
 3d445394f441e47f1208a13f089fdac13534e56a 2124000 glibc-doc_2.17-4_all.deb
 fe7f807986c43854c85808d472cabb733dd6eea5 13881690 eglibc-source_2.17-4_all.deb
 da3a0ab928a3ad8c2b59d15ebac265e7429fbb69 3839250 locales_2.17-4_all.deb
 17bd4d57992cf24cdb873e5669588676482c9172 4157394 libc0.1_2.17-4_kfreebsd-amd64.deb
 df80225af0f049263817a4c004e8c7d7e375d983 2534278 libc0.1-dev_2.17-4_kfreebsd-amd64.deb
 e4443a88050aa2a2527209cae7df83d36ed4b4b0 1308814 libc0.1-pic_2.17-4_kfreebsd-amd64.deb
 599feeea18cf78cbacfe3e03e29a8ec0cdfe0384 1240462 libc-bin_2.17-4_kfreebsd-amd64.deb
 c1a30b4bf8375ad0dfc4cee833abd9f552810e28 233366 libc-dev-bin_2.17-4_kfreebsd-amd64.deb
 c875acf8adca70c06f9423d7131f2c6a00e916d1 159772 multiarch-support_2.17-4_kfreebsd-amd64.deb
 cfc38516f85d759aa9dff8098917c77d088cb43b 1408840 libc0.1-prof_2.17-4_kfreebsd-amd64.deb
 2e008297bb19470316a4ff65976c32ddaec11149 3146120 locales-all_2.17-4_kfreebsd-amd64.deb
 a3b6a599fefaae4a538fbf5071c3beb2e007c189 3817920 libc0.1-i386_2.17-4_kfreebsd-amd64.deb
 bc7bb757880f23623ed14aef14205054849f92b8 1630194 libc0.1-dev-i386_2.17-4_kfreebsd-amd64.deb
 6d10312d66c9fb4512f5f1ad7b9682af9870042e 226442 nscd_2.17-4_kfreebsd-amd64.deb
 550ff605cef8b023377416d03bd614fdc4839437 6390428 libc0.1-dbg_2.17-4_kfreebsd-amd64.deb
 e5bdf0837ddcadf425caeeaab39441dc30189924 921408 libc0.1-udeb_2.17-4_kfreebsd-amd64.udeb
 05c8a4726c5156eee8e7d1720c9ce38aeaedf944 10012 libnss-dns-udeb_2.17-4_kfreebsd-amd64.udeb
 40d078328639b952981c43c0d6d4f7757fccc560 17120 libnss-files-udeb_2.17-4_kfreebsd-amd64.udeb
Checksums-Sha256: 
 95b82bf9c660f5af9a201b9341db823afe00e2819897087bf40c1c481c60235c 5158 eglibc_2.17-4.dsc
 9bca31d4646d6be179ac379c607ebf84ee406912f20ee39ff74cd0c1ae5afe24 777740 eglibc_2.17-4.debian.tar.xz
 204d367f6a9cdd5114909e10d0e77191e8a5b1cbd7e95826157b1686677eebf3 2124000 glibc-doc_2.17-4_all.deb
 04360e2d46d7aa079dda9e5e4cd850b09a7758587c5a4146a5ba1c0296550143 13881690 eglibc-source_2.17-4_all.deb
 653408b7e1102946e4cab3cd1c76fbebb8ace8799c92650fb14edf772776fb89 3839250 locales_2.17-4_all.deb
 b3b331119e7494fb4a15c9013e7578d64d7244dcd8b68cc5d1b213e2b4ee612d 4157394 libc0.1_2.17-4_kfreebsd-amd64.deb
 39480a1b481b6b3bb2746a3bc235560f267ef14896f33bb4671ae87e6bb324ac 2534278 libc0.1-dev_2.17-4_kfreebsd-amd64.deb
 0a043bae20649d11dcbb53ad1dba912f2861096b850b912caf1486a7f0e44be2 1308814 libc0.1-pic_2.17-4_kfreebsd-amd64.deb
 7c7419e0ec1cc1e09345c0283d5ee4b7d837e2768109dacd4efb22062f7ad83e 1240462 libc-bin_2.17-4_kfreebsd-amd64.deb
 1e9c46fa33675a5875b8392d4c8553c3c70dedc661d2731f315cfe69feb39533 233366 libc-dev-bin_2.17-4_kfreebsd-amd64.deb
 fa651ad898181c694281140f6db3051f5876977438b5431867cd144d46ea2ea7 159772 multiarch-support_2.17-4_kfreebsd-amd64.deb
 e042165c24f433537222926a751e9290c5679c34c63bba284b59e91b8b5ac73b 1408840 libc0.1-prof_2.17-4_kfreebsd-amd64.deb
 a2beb1e47765907deacbba6a41eee89767563802d226dca160e9c4828dfa98b4 3146120 locales-all_2.17-4_kfreebsd-amd64.deb
 bbbbc49bcad2b3df4bef15b6797b7c895144c9632732a036e2aab3d51baa1f37 3817920 libc0.1-i386_2.17-4_kfreebsd-amd64.deb
 0ec9ab68e28e8156f7e2d1d0708b5e03d526ee97c41bb96f2b0643758c7286fb 1630194 libc0.1-dev-i386_2.17-4_kfreebsd-amd64.deb
 7ab32c06dda1d9229131f3742be23af35c5e6e29b8e9999c48c628d849dd3583 226442 nscd_2.17-4_kfreebsd-amd64.deb
 b54e1b2cc1b08ced8be7bb5b57588c652741ed92d7140f52bb84be6ff918a0cc 6390428 libc0.1-dbg_2.17-4_kfreebsd-amd64.deb
 1dd1cc92b991bf4b97e68d6c41dacb4552a694e9aaecfc06648c6118018980ab 921408 libc0.1-udeb_2.17-4_kfreebsd-amd64.udeb
 0f1a8247ae00586e22a87e781de066b5e312e89b746d80d14ba5a81e9c71b633 10012 libnss-dns-udeb_2.17-4_kfreebsd-amd64.udeb
 1c3500f0f5f8be9d3cf7fb48b3d4d52726b728f997695bfee7cc430f2e81c915 17120 libnss-files-udeb_2.17-4_kfreebsd-amd64.udeb
Files: 
 9314cedc668d5dc9152f56cedf03d56d 5158 libs required eglibc_2.17-4.dsc
 1dab65cc0a90895835f23cfe9593a6ba 777740 libs required eglibc_2.17-4.debian.tar.xz
 0427497f68b12201f5873e9eb83300ef 2124000 doc optional glibc-doc_2.17-4_all.deb
 62c8f9a90ff9cc62163a05f373cd6d77 13881690 devel optional eglibc-source_2.17-4_all.deb
 448835b1b3680a2e5bef4f60d8530b86 3839250 localization standard locales_2.17-4_all.deb
 f4bbff75bce7f0b017cef6d5ca6613cc 4157394 libs required libc0.1_2.17-4_kfreebsd-amd64.deb
 48c9aec14d5d3dbcc8b52c4c594c0464 2534278 libdevel optional libc0.1-dev_2.17-4_kfreebsd-amd64.deb
 fbde8ef99e6464b2d00083dfd632113c 1308814 libdevel optional libc0.1-pic_2.17-4_kfreebsd-amd64.deb
 9496d4fa2fd017de561561de388a5b64 1240462 libs required libc-bin_2.17-4_kfreebsd-amd64.deb
 b8832106fec410c682d0f9a7194c75af 233366 libdevel optional libc-dev-bin_2.17-4_kfreebsd-amd64.deb
 ef9c210225dd489851716f90d5a154d1 159772 libs required multiarch-support_2.17-4_kfreebsd-amd64.deb
 c4be512af824ed9f369c92ded5f2c0a9 1408840 libdevel extra libc0.1-prof_2.17-4_kfreebsd-amd64.deb
 f426f072d42d21d6f53744f396fab30b 3146120 localization extra locales-all_2.17-4_kfreebsd-amd64.deb
 01c57e4322e05ca0044c85c9b7d34497 3817920 libs optional libc0.1-i386_2.17-4_kfreebsd-amd64.deb
 add32374d6d0bdd1b5a6910f704b598b 1630194 libdevel optional libc0.1-dev-i386_2.17-4_kfreebsd-amd64.deb
 0aa4748e3ec5129d32478a1cc4fad138 226442 admin optional nscd_2.17-4_kfreebsd-amd64.deb
 769bda855b2e7066ffe9781eb6eb356b 6390428 debug extra libc0.1-dbg_2.17-4_kfreebsd-amd64.deb
 87fa66903445ee8458a30b5b62a46eed 921408 debian-installer extra libc0.1-udeb_2.17-4_kfreebsd-amd64.udeb
 68c969b9511af2fe22653dc4a7ecaa6c 10012 debian-installer extra libnss-dns-udeb_2.17-4_kfreebsd-amd64.udeb
 1b6b9544dba21946ae663e3f894f20a3 17120 debian-installer extra libnss-files-udeb_2.17-4_kfreebsd-amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iD8DBQFRqyS7w3ao2vG823MRAneKAJ9lMZ74TyxpiUEcU/wx1LfNFK9JbACeNe6U
PuHArfnolx3kfb162UUHslI=
=c/rM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Jul 2013 07:44:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:32:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.